com.google.gwt.dom.client

## Enum Style.VerticalAlign

- java.lang.Object
- - java.lang.Enum<Style.VerticalAlign>
  - - com.google.gwt.dom.client.Style.VerticalAlign

All Implemented Interfaces:
  Style.HasCssName, java.io.Serializable, java.lang.Comparable<Style.VerticalAlign>

Enclosing class:
  Style

    public static enum Style.VerticalAlign
    extends java.lang.Enum<Style.VerticalAlign>
    implements Style.HasCssName

Enum for the vertical-align property.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BASELINE`
`BOTTOM`
`MIDDLE`
`SUB`
`SUPER`
`TEXT_BOTTOM`
`TEXT_TOP`
`TOP`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract java.lang.String` `getCssName()` Gets the CSS name associated with this value.
`static Style.VerticalAlign` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Style.VerticalAlign[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BASELINE

    public static final Style.VerticalAlign BASELINE

#### SUB

    public static final Style.VerticalAlign SUB

#### SUPER

    public static final Style.VerticalAlign SUPER

#### TOP

    public static final Style.VerticalAlign TOP

#### TEXT_TOP

    public static final Style.VerticalAlign TEXT_TOP

#### MIDDLE

    public static final Style.VerticalAlign MIDDLE

#### BOTTOM

    public static final Style.VerticalAlign BOTTOM

#### TEXT_BOTTOM

    public static final Style.VerticalAlign TEXT_BOTTOM

### Method Detail

#### values

    public static Style.VerticalAlign[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Style.VerticalAlign c : Style.VerticalAlign.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Style.VerticalAlign valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getCssName

    public abstract java.lang.String getCssName()

Description copied from interface: `Style.HasCssName`
Gets the CSS name associated with this value.

Specified by:
  `getCssName` in interface `Style.HasCssName`